#include "person.h"

void person::populate_data() {
  cout << "enter name: ";
  getline(cin, name);

  cout << "enter age: ";
  cin >> age;
}

string person::as_string() const {
  ostringstream stm;

  stm << "name: "
      << name
      << ", age: "
      << age;

  return stm.str();
}

ostream & operator<<(ostream & os, const person & e) {
  os << e.as_string();
  return os;
}
